EasyApache

(Home >> Software >> EasyApache)

Overview

EasyApache is a powerful and simple-to-use script that you can use to update and configure your Apache web server.

This documentation explains key points about the interaction between the Apache web server software and the cPanel & WHM system. It includes details about how you can use cPanel's EasyApache software to customize your build of Apache.

The current version of EasyApache is 3.24.11 which was released on February 10, 2014. For more information about the EasyApache versioning standard, read the EasyApache Versions documentation.

note Note: You are not required to customize Apache and PHP with EasyApache. Instead, you may select one of our preconfigured profiles. If you choose one of our preconfigured profiles, Apache 2.2 and PHP 5.4 are installed by default, and PHP will be handled by suPHP.

How To Run EasyApache

To run EasyApache via the WHM interface, navigate to Home >> Software >> EasyApache

To run EasyApache via the command line, enter the following command as the root user: /usr/local/cpanel/scripts/easyapache

note Note:  When you run EasyApache, it will automatically update to the latest available version.

EasyApache consists of the following stages:

  • Profile — This stage of the EasyApache build process allows you to select the profile you will use as a template to build your EasyApache profile.
  • Apache Version — This stage of the EasyApache build process allows you to select which version of Apache you want to use in your profile.
  • PHP Version — This stage of the EasyApache build process allows you to select which version of PHP you wish to use.
  • Short Options List — This stage of the EasyApache build process allows you to select features to include in your EasyApache profile.
  • Exhaustive Options List — This stage of the EasyApache build process allows you to select more features to include with your EasyApache profile.

Before you change your EasyApache profile, we recommend that you update your server to the latest version of your cPanel & WHM build. WHM will perform a quick check of your version of cPanel & WHM, and will prompt you to update if you are not on the latest version. This will allow EasyApache to configure and install the latest available features.

  • To update your cPanel within the EasyApache interface in WHM, click the Update link in the menu.
  • To update your cPanel software via the command line, log in as root and enter /scripts/upcp

Components in EasyApache

EasyApache currently provides three major components: the Apache web server, PHP, and Tomcat.

Apache

PHP

  • Modules — A detailed list of the modules that you can build into PHP.
  • Options — A detailed list of the options that you can build into PHP.
  • Extensions — Information about how to install extensions you can add to PHP.
  • More Information

Tomcat

Development

Developers can customize and enhance EasyApache with a variety of options and tools.

PCI and Security

Other Issues

News and Updates

Support Level Definitions

When you configure EasyApache, you will see the following terms in the WHM interface that describe a product or feature's state of development:

  • EXPERIMENTAL — This product is brand new and not fully-tested. It may have compatibility issues with other products.
  • DEPRECATED — The product is considered out-of-date, but we will still support it. We may provide patches for compatibility and security issues, but you should consider upgrading to a newer version soon.
  • END OF LIFE — This product has reached the end of its life. We provide the product in its current state and will not release security patches for it. We strongly encourage you to upgrade to a newer version.

Topic revision: r49 - 10 Feb 2014 - 22:42:19 - Main.ShavaunTesareski